server.port: 8080

spring.jpa.hibernate.ddl-auto: update

spring.datasource:
  url: jdbc:postgresql://localhost:5400/inflation
  username: docker_user
  password: password
  driverClassName: org.postgresql.Driver

spring.datasource.hikari.initializationFailTimeout: 60000

logging:
 level:
  org.hibernate.SQL: DEBUG
  org.hibernate.type.descriptor.sql.BasicBinder: TRACE

spring:
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        ddl-auto: create

---
spring.config.activate.on-profile: docker

server.port: 8080

spring.datasource:
  url: jdbc:postgresql://postgres_container/inflation
  username: docker_user
  password: password
  driverClassName: org.postgresql.Driver

spring.datasource.hikari.initializationFailTimeout: 60000

spring:
  cloud:
    function:
      definition: messageProcessor

spring.cloud.stream:
  bindings:
    messageProcessor-in-0:
      destination: products

spring.cloud.stream.kafka.binder.brokers: kafka
spring.kafka.bootstrap-servers: kafka:9092